help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Unable to Build Emacs in latest 10.3 "powerpc-apple-darwin7.2.0"


From: Emory Smith
Subject: Re: Unable to Build Emacs in latest 10.3 "powerpc-apple-darwin7.2.0"
Date: Mon, 2 Feb 2004 17:35:56 -0700

i use fink's emacs. you wont get the very latest, but i think its well worth it for the ease of installation/update.

if you have fink, just type "fink install emacs21" at the prompt.

if you dont have fink, heres what to do:

1. make sure you have apples x11 installed (from apple dev tools)
2. download and install fink binary (http://fink.sourceforge.net/download/index.php)
3. in the terminal, type "fink install emacs21"

this will give you emacs 21.2 (note that you can get 21.3 from the 'unstable' tree, but i dont recommend it, as ive had some problems with it on panther). if you want bells and whistles, browse the packages at http://fink.sourceforge.net/pdb/index.php

if you run into problems, try
http://fink.sourceforge.net/doc/bundled/install.php
http://homepage.mac.com/sao1/fink/
(or feel free to email me)

(by the way, emacs 21.4 is expected to be fully os x compatible (ie w/o fink) but we must be patient.)

On Feb 2, 2004, at 4:35 PM, Dane Fundan wrote:

hey this is my first time ever using a newsgroup so
dont flame the n00b, just lightly roast :)

first, i updated my G5 running 10.3 to the lastest and
greatest via software update.
secondly, i updated dev tools with most recent patch.
i then downloaded the lastest stable (i think) version
of emacs - version 21.3 (filename emacs-21.3.gar.tz),
from savahanna's
i unpacked it into the hardrive and then ran
configure. it threw this error message: "checking host
system type... powerpc-apple-darwin7.2.0
configure: error: Emacs hasn't been ported to
`powerpc-apple-darwin7.2.0' systems.
Check `etc/MACHINES' for recognized configuration
names."
i then opened up the machines file, which told me to
properly configure for Apple PowerPC to edit
"src/m/macppc.h" and remove an /if 0 and /endif from
the last block of code. I did that, and after saving
the file, i reran congifure. I got the same error
message. I have verifyied that i have done exactly
what I have laid out here, and nothing else

Any suggestions? I need to get this built and running
as soon as I can :)
thanks,
john

__________________________________
Do you Yahoo!?
Yahoo! SiteBuilder - Free web site building tool. Try it!
http://webhosting.yahoo.com/ps/sb/


_______________________________________________
Help-gnu-emacs mailing list
address@hidden
http://mail.gnu.org/mailman/listinfo/help-gnu-emacs






reply via email to

[Prev in Thread] Current Thread [Next in Thread]